# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfIntegerMaterial Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfIntegerMaterial.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfIntegerMaterial (const Standard_Integer &K, const Graphic3d_MaterialAspect &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Graphic3d_MaterialAspect & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Graphic3d_MaterialAspect | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfIntegerMaterial::MeshVS_DataMapNodeOfDataMapOfIntegerMaterial | ( | const Standard_Integer & | K,
|  | const Graphic3d_MaterialAspect & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfIntegerMaterial::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& MeshVS_DataMapNodeOfDataMapOfIntegerMaterial::Key | ( |  | ) | const

Graphic3d_MaterialAspect& MeshVS_DataMapNodeOfDataMapOfIntegerMaterial::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MeshVS_DataMapNodeOfDataMapOfIntegerMaterial::myKey `[private]`

Graphic3d_MaterialAspect MeshVS_DataMapNodeOfDataMapOfIntegerMaterial::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfIntegerMaterial.hxx